GNU bug report logs - #40532
28.0.50; eww/shr: Anchor link does not work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Arnaud Fontaine <arnau@HIDDEN>; Keywords: patch; dated Fri, 10 Apr 2020 04:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 3 May 2020 23:49:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 03 19:49:37 2020
Received: from localhost ([127.0.0.1]:58486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVOMb-0001jL-2g
	for submit <at> debbugs.gnu.org; Sun, 03 May 2020 19:49:37 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:42421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jVOMZ-0001j9-Rz
 for 40532 <at> debbugs.gnu.org; Sun, 03 May 2020 19:49:36 -0400
Received: by mail-wr1-f45.google.com with SMTP id s8so8508784wrt.9
 for <40532 <at> debbugs.gnu.org>; Sun, 03 May 2020 16:49:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FKiot9iQlnIOrUxfCENXcWfVqhWvwD1BcD7WVl1JLgg=;
 b=mDp/3UUIC02GDKCwuNcOFqbouAg/KzD2wrGc9NHCyt5ZPB48Q/FV64gxDHCvw255mk
 GGoHyJNFj/YrrfEJ1SrOSapjwA9V8iTLNScI5SpteT1eOMXiD90kKvfQb4SoGagZ5CPw
 JtLfgFUrNTYLJMSsAbVZTkuetgAmqjaM1tkVLBh3QhuwQz/ZKOi/euHGmbfqonZPaTti
 ZIIhzugfyjT4zI/CPtSqPtLhq2Ex1KQqK3l9u+dW/D57d1kyp+QklQkFL82DzqjFyJ4/
 YSWcAswX9wzQFnSjUH7XQST4PfyIZYl+nob6ULubtsoIv7ZmhWgKz5LzxaCbf+kIAeNS
 wfHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FKiot9iQlnIOrUxfCENXcWfVqhWvwD1BcD7WVl1JLgg=;
 b=sbck26NXyN9NUhh9J6T/SPEwB7m0MpBSwHRfRFisoTudW1az0wXa/GY0IDCVFRXfTk
 C+AjihqbNgvuCKYI7Cd4ClaZ5Pb5Ur1O+Dun3Y9wUW689i9cnA93klY+NuVz1Rnp8hww
 JEWLThAEBhk9rh24GYugowuVYQyOBqjVSYEWseq/hHTLUDAIW74RjRWKykqBBUY80hAg
 XaRH3fJJiNRFFMN3+xHQRM+R1a8MTos/PLpoVwtSOYkN0cSuAsUojND6R6+spS4Vubtn
 u8yayEnWF3cDmPlr8gbeCoHy1ksK2UNTnbSNyKbWjKnL43PXe4gt305Rb8hGpo4YQxpO
 +I5Q==
X-Gm-Message-State: AGi0PuYgOAPlX9mYH14zLsplYd3FUHoTEg+fpL+0Tz2OYX0Sll+4Ue1N
 RQBlt0JJOIvfVQxuS7VqvYMMJw==
X-Google-Smtp-Source: APiQypLfC89/eS0vQ73HUeB2nKLGrZ/0e1EEF2PcUp6K0VBb9Hmc6Ea2GJrWtpbB/8cZJnmaIiV/jQ==
X-Received: by 2002:adf:cd12:: with SMTP id w18mr12126837wrm.341.1588549770005; 
 Sun, 03 May 2020 16:49:30 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id g69sm11656343wmg.17.2020.05.03.16.49.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 03 May 2020 16:49:29 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <838sij98im.fsf@HIDDEN> <878sid4nn7.fsf@HIDDEN>
 <87ees5z3cr.fsf@HIDDEN> <87ftckzkve.fsf@HIDDEN>
Date: Mon, 04 May 2020 00:49:28 +0100
In-Reply-To: <87ftckzkve.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 01 May 2020 00:09:25 +0200")
Message-ID: <87imhcefzr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Basil L. Contovounesios" <contovob@HIDDEN> writes:
>
>> Why not move this binding back into eww-display-html instead, closer to
>> where shr-insert-document is called, for the benefit of other callers of
>> eww-display-html as well, and deviating the least from previous versions
>> of eww, as per the second proposed patch?
>
> Sorry, I missed that patch.  That looks even more logical to me.

Thanks, pushed to emacs-27:

Fix eww-follow-link on URLs with #target
310112fdc7 2020-05-04 00:40:38 +0100
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=310112fdc7448a9297085333fcd4bf4088e634bf

But unless I hear otherwise I'll hold off from closing this bug until I
can look more into the relative #target issue tomorrow.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 30 Apr 2020 22:10:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 30 18:10:06 2020
Received: from localhost ([127.0.0.1]:47862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUHNR-0006Nw-15
	for submit <at> debbugs.gnu.org; Thu, 30 Apr 2020 18:10:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jUHNA-0006NS-Qn
 for 40532 <at> debbugs.gnu.org; Thu, 30 Apr 2020 18:09:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=K9j6lVpFpsDBdZetkUORRAToxfwywBfWsOXL2DjmeKU=; b=Km24kPBzXQMdzymBW8JcRN6ZFd
 p59t882GDkYDj7VOyS6DOYMNhLg8D99ua1WZqB8mlLk0t5BklxrCIOEvEXNmQLVhPbtABKSzTcaoO
 /XrZToCsr1uzlsNQEoQRujNC52lmI8kwNPLoxMy77JumO/0vmzMMPVytErwczEY1npIA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jUHN0-0000bG-4x; Fri, 01 May 2020 00:09:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <838sij98im.fsf@HIDDEN> <878sid4nn7.fsf@HIDDEN>
 <87ees5z3cr.fsf@HIDDEN>
Date: Fri, 01 May 2020 00:09:25 +0200
In-Reply-To: <87ees5z3cr.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Thu, 30 Apr 2020 11:15:32 +0100")
Message-ID: <87ftckzkve.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Basil L. Contovounesios" <contovob@HIDDEN> writes: > Why
 not move this binding back into eww-display-html instead, closer to > where
 shr-insert-document is called,
 for the benefit of other callers of > eww-display-html
 as well, and deviating the least [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Why not move this binding back into eww-display-html instead, closer to
> where shr-insert-document is called, for the benefit of other callers of
> eww-display-html as well, and deviating the least from previous versions
> of eww, as per the second proposed patch?

Sorry, I missed that patch.  That looks even more logical to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 30 Apr 2020 10:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 30 06:20:58 2020
Received: from localhost ([127.0.0.1]:45388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jU6JO-0001KN-8y
	for submit <at> debbugs.gnu.org; Thu, 30 Apr 2020 06:20:58 -0400
Received: from mail-pg1-f176.google.com ([209.85.215.176]:40947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jU6JM-0001K4-ML
 for 40532 <at> debbugs.gnu.org; Thu, 30 Apr 2020 06:20:57 -0400
Received: by mail-pg1-f176.google.com with SMTP id n16so2540450pgb.7
 for <40532 <at> debbugs.gnu.org>; Thu, 30 Apr 2020 03:20:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=69oQ5IKEdiTPTU10IDhs+AJ8eQak2dUMb0ZTD3tQOhI=;
 b=ZMHTgAyLmWaYBVRU6k6EUEDMhXHwxURFFQmeUEGgpwlm9kYOly6zFs9Ezom0n/xnjX
 qRx2sv+JUUNtGLanEVi2ifNK/hJI/KFZwtobbyHm9/2/GBF0sRqDtc0ke9HN+YLRG+cI
 UjEgmb5lvkMNGxualLup0HNcD2UKPIeYdOVQ5UtAQEOnhRC/DhI8PhZd60wjXfy+dQ9X
 b7nFjuVTKS4Ydp5ifHyXH6BrowtpQZcGuH4j2tUEUHs4h4WBQFaFVmBv0M67kASLcdP5
 rOpOmYFS99z6lBl/JWF54cpg4Tr4FczoFeP3B3uZvQ0Hgl7F+DqMeUto4ZGTSVQZh98y
 KXNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=69oQ5IKEdiTPTU10IDhs+AJ8eQak2dUMb0ZTD3tQOhI=;
 b=gYHMDOz7pYBYK1jph5CoPMcidZaae2F7orrF4G/hQSeg4GsLBa+cJQoCHrmcOELu87
 Z0iRuE+d+7i2/Vz/Y9cek6cdBQvk8aiiw3s2EiqmulvMiUunMk1IBJmsA9IFIA2cUy8y
 sAz4iCZx90NC+CfTKfkzrcY2jYiwAMbpxEkVbZwgnAKpVR8pGqInSk7Gwd4/Zp3MxcEZ
 tBHXs/GR2fHLw7Q2pgHfXTiIyVE0cjJi3vL4aUNAvaUb7PLKKC+RnP0J1afEvXlaFLyj
 cwmyV27G3M63+kDOhQmJ1Tu23CIg03LecRM/2t6KWWBBw2iOQMbwoSmZlTgn7UiK7MwX
 ZvsQ==
X-Gm-Message-State: AGi0PubrPHuQ7Hz5eLP/qvbBfuM/g5RubyD12Tkoi0exp4IY8h8KJNaP
 jA8TQj1ZNYY4UdK0MoA9/AQsSg==
X-Google-Smtp-Source: APiQypKql2KLuhqxtMQeYJvisZ95/gEw1mVwaMYIU4FLk5hZ9Oix0+v8N8EDUqC/PgGC9rMYrrC4ig==
X-Received: by 2002:a63:d601:: with SMTP id q1mr2461219pgg.452.1588242050880; 
 Thu, 30 Apr 2020 03:20:50 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id p1sm1417864pjf.15.2020.04.30.03.20.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Apr 2020 03:20:50 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <87imhr65p2.fsf@HIDDEN>
 <878sijpqr0.fsf@HIDDEN> <87y2qjxqbu.fsf@HIDDEN>
 <87d07p4npz.fsf@HIDDEN>
Date: Thu, 30 Apr 2020 11:20:47 +0100
In-Reply-To: <87d07p4npz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 30 Apr 2020 06:11:20 +0200")
Message-ID: <87zhatxojk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org,
 Arnaud Fontaine <arnau@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Basil L. Contovounesios" <contovob@HIDDEN> writes:
>
>> Perhaps shr should unconditionally (without requiring shr-target-id to
>> be bound) mark all possible targets with text properties during
>> rendering.  I'll see if I can get this or any other way working today or
>> tomorrow, but either way this won't be fixed in Emacs 27.
>
> Hm...  marking all the targets sounds like overkill (if I understand you
> correctly, but it's likely that I don't).  :-)

Marking all the targets is what I meant, but I was only thinking aloud,
not seriously suggesting it.  I'm still stepping through eww and shr
trying to figure out why shr-target-id doesn't work sometimes (my
current guess is shr modifies the DOM to avoid re-rendering tables, so
shr-target-id doesn't get set in such cases); progress is slow.  :(

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 30 Apr 2020 10:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 30 06:15:43 2020
Received: from localhost ([127.0.0.1]:45384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jU6EJ-0001Ce-LG
	for submit <at> debbugs.gnu.org; Thu, 30 Apr 2020 06:15:43 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:38710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jU6EI-0001CR-5U
 for 40532 <at> debbugs.gnu.org; Thu, 30 Apr 2020 06:15:42 -0400
Received: by mail-pg1-f181.google.com with SMTP id l25so207623pgc.5
 for <40532 <at> debbugs.gnu.org>; Thu, 30 Apr 2020 03:15:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=rSJXw7K+hAXlBWWYM1xlytq8j+JQX/tu5KHmhrhpXjI=;
 b=KUTSuh2Ybs0q+8deM6V8joWTzsAUkJK3ndoZFAk/i/0ZLDEm3vgsUVZ53WdCTtsT+O
 06qHQaOlhYTj9FEAIMsOqM9Lp/6a0QTr3yjpdGyqKOi256zDrdw5D7BjYokPjyDmGmN0
 bPDQS6ie0M8/qoAKE4ltitknmM7auwHJfzwrzJ4yByvavKvMONCYpU06sMAx4r7OeJOa
 MMtFGU9FXNvkAlNIYY5TpFsGD1CuFd4wusR8JnkoU9H9WO9T0EvRhwKMwZdChLCwVyyc
 q76FliSw9PTF36sbKVJ1dTQPiXFH20zfA4pcejfZFHmQu9dn4thq+rx0cw7G4YdA73Rm
 vgkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=rSJXw7K+hAXlBWWYM1xlytq8j+JQX/tu5KHmhrhpXjI=;
 b=L4t4PIskRpPCbC26HnsSAYQYqdm5dM+KYBm2jJL48ihSDh6QBqt+/1IgGKkMwTvOey
 wma8GkuJmWkDNrkN5p5MSnuZtz9PFW1+VqeRKMdHBpAPunCBrXqZz5PRSyWJIx3uq68R
 1K1P2RwvNbdUlrGPRC2j82yczDLDX1v2KTcDnLeduwj25vOInpIjbzdiykAOdtc23HwC
 7OSGRdravVq3HQJcnDac38dQO5gpgGobcvd8mHUprqG+v84hDZxx1nVLffxj3sYVIE93
 +spLYzzryET49LB7l4sOBfvXF8P1ZzPP7Fhpr7KmbI5s1ZlqRRQ1nF0MLwh9Vgq8kbzz
 KijA==
X-Gm-Message-State: AGi0PuYvsHejAThP6afH8d3qdlcPFSVnT1hUa+RqniCr8npGKc+tIeEv
 q+J0/O+L0YJkLI3KAVk8qefZwg==
X-Google-Smtp-Source: APiQypJg0AOSbhOE2Q/h3JNOfPz6iy0cZDt7V8AnTW/068tqaiHeR/WGjlKaqbY05E4f0fkmIWUE2A==
X-Received: by 2002:aa7:8e8b:: with SMTP id a11mr2819941pfr.62.1588241736205; 
 Thu, 30 Apr 2020 03:15:36 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id w11sm3183178pfq.100.2020.04.30.03.15.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Apr 2020 03:15:35 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <838sij98im.fsf@HIDDEN> <878sid4nn7.fsf@HIDDEN>
Date: Thu, 30 Apr 2020 11:15:32 +0100
In-Reply-To: <878sid4nn7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 30 Apr 2020 06:13:00 +0200")
Message-ID: <87ees5z3cr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I think this is OK for the release branch, but I'd like Lars to
>> comment.  Lars, please chime in.
>
> I think this looks correct:
>
> -      (let ((dom (plist-get eww-data :dom)))
> +      (let ((dom (plist-get eww-data :dom))
> +            (shr-target-id (url-target (url-generic-parse-url url))))
>
> But I haven't tested the code.

Why not move this binding back into eww-display-html instead, closer to
where shr-insert-document is called, for the benefit of other callers of
eww-display-html as well, and deviating the least from previous versions
of eww, as per the second proposed patch?

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 30 Apr 2020 04:13:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 30 00:13:19 2020
Received: from localhost ([127.0.0.1]:45156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jU0Zb-0000tY-CI
	for submit <at> debbugs.gnu.org; Thu, 30 Apr 2020 00:13:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jU0ZZ-0000tL-Vg
 for 40532 <at> debbugs.gnu.org; Thu, 30 Apr 2020 00:13:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+qNMwflURCNW38RmuNRqIAI2r+y0KtQqjWH9oZAxwE0=; b=IobqbRsLn3y/CAvIvv5BNvzlmN
 EEHYyM0OyHZR+w2HuHsZhfZFzxyBv0D1AxBk98r+uxu3N1ie0uMmA+gQ6EgIoFaFPFfdSCql3s52m
 gQ/v1tPEEC9vXxmFqF60+LaUuuB41OMRJ/yZTrtQ1P0wdQKQRiP8cn4qT4UJtFvujvqk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jU0ZJ-0004lh-JV; Thu, 30 Apr 2020 06:13:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <838sij98im.fsf@HIDDEN>
Date: Thu, 30 Apr 2020 06:13:00 +0200
In-Reply-To: <838sij98im.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Apr
 2020 13:14:57 +0300")
Message-ID: <878sid4nn7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I think this is OK
 for the release branch, but I'd like Lars to > comment. Lars, please chime
 in. I think this looks correct: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: contovob@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think this is OK for the release branch, but I'd like Lars to
> comment.  Lars, please chime in.

I think this looks correct:

-      (let ((dom (plist-get eww-data :dom)))
+      (let ((dom (plist-get eww-data :dom))
+            (shr-target-id (url-target (url-generic-parse-url url))))

But I haven't tested the code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 30 Apr 2020 04:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 30 00:11:55 2020
Received: from localhost ([127.0.0.1]:45151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jU0Y0-0000r1-5w
	for submit <at> debbugs.gnu.org; Thu, 30 Apr 2020 00:11:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jU0Xy-0000qn-LO
 for 40532 <at> debbugs.gnu.org; Thu, 30 Apr 2020 00:11:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sGOF/CLS1gxm6sirgWC84fMUMz//Ay5MsnkhWBC7AT4=; b=fRW+gCDh2qzCqveSGLp/OcmUGQ
 F17fLgih0mWK21H7qPThMtvzCBq1mNCTNror75lDwX/6+GVAHU5RnFeYYQMrgIi1mIiFF7irVMBdy
 mHZnWKvEuGrW9MMMdelYGgAovrvj3cP6LKKL1QL9YHysM6gAuKERiETRigv11O6JuxS4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jU0Xh-0004kn-RA; Thu, 30 Apr 2020 06:11:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <87imhr65p2.fsf@HIDDEN>
 <878sijpqr0.fsf@HIDDEN> <87y2qjxqbu.fsf@HIDDEN>
Date: Thu, 30 Apr 2020 06:11:20 +0200
In-Reply-To: <87y2qjxqbu.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sat, 25 Apr 2020 21:28:37 +0100")
Message-ID: <87d07p4npz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Basil L. Contovounesios" <contovob@HIDDEN> writes: > Perhaps
 shr should unconditionally (without requiring shr-target-id to > be bound)
 mark all possible targets with text properties during > rendering. I'll see
 if I can get this or any other way work [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org,
 Arnaud Fontaine <arnau@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Perhaps shr should unconditionally (without requiring shr-target-id to
> be bound) mark all possible targets with text properties during
> rendering.  I'll see if I can get this or any other way working today or
> tomorrow, but either way this won't be fixed in Emacs 27.

Hm...  marking all the targets sounds like overkill (if I understand you
correctly, but it's likely that I don't).  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 25 Apr 2020 20:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 16:28:47 2020
Received: from localhost ([127.0.0.1]:60437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSRPr-0006MI-Ae
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 16:28:47 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:36151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jSRPp-0006M4-HY
 for 40532 <at> debbugs.gnu.org; Sat, 25 Apr 2020 16:28:45 -0400
Received: by mail-wm1-f68.google.com with SMTP id u127so15805083wmg.1
 for <40532 <at> debbugs.gnu.org>; Sat, 25 Apr 2020 13:28:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5M47oOuHpy78ZEm82KQlYFTrWfSktJI6YIfpnq/un8w=;
 b=IdooMjwzuzHfQPjp1nEK4m0z7a0MaHzCUtnkn9qrFA8eOtScC5/FYJQQwlpM/9bAVh
 1W43wrCJlttUdWhIq2bo+YN1EgoLP78cnOzz0zst2KCWxaIdtDzvJlaz+djtlcnBUQ2H
 DlnofXWsEL9g5xhn44Xq2xekbCjSMT6KJp5KapmTY5Xp56XRiAWTYyFl17A4FT1iyuOD
 YRTMHWLplEiTmQHzw/yeAAetLJKGtR1kXld5WmPICX6Q8pBPu9Zp4WlqcAd28uOt7bzL
 YCy4H6cVWuBBYJtLr10PJraYx7NS5lKdozid70o0NM644OxEE6GzrsrrmyF5hTcSPmCg
 7TRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5M47oOuHpy78ZEm82KQlYFTrWfSktJI6YIfpnq/un8w=;
 b=LqU+hMlNtyTuxzTweoDs7JHQn7QRGJC8CQLrMtjgvXhE8E+Diumyp+W2LwoNpzBTLY
 3pq18OsJaKbA/+aeNkrafPCk9JwkAVtB0j0rjRgwspvstkzduAIY4TNiOKQSi+rlD6+e
 6R/ulmVhGeayqWtUsBtzx4cgClS0x6uCwvLRppP5K2MkXyZIsthNiLB0fipRpL9Jn91Q
 WDe1O5+3yBQAQv2cBEwxm3p+PUjFXvb2CjnZBpiaJ+XufFGY7RTm1YjZV87ElXLkSqBU
 qfOjSmfnVlYQSCIR3twndwIDvN0tYa0/v+s9jy9MgrqcWKxlaZAlPCPI7im4ITSwyNhH
 /75g==
X-Gm-Message-State: AGi0Pua3UGP9iEHxGuC8bLlKhWwLoILKDVoZrLCF7nhmtmiJ+qshnIk6
 1FPzRw2L7XCnTYeXr/DVG3LhVQ==
X-Google-Smtp-Source: APiQypJwj7DSaKOl5qd+cLW+bdS90uBHzgF7QSZOWHJ8bbkuj1apPyAAB2L2QBJpA9gzn51FHWFSbA==
X-Received: by 2002:a05:600c:2214:: with SMTP id
 z20mr18933164wml.189.1587846519546; 
 Sat, 25 Apr 2020 13:28:39 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id k3sm15853038wru.90.2020.04.25.13.28.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Apr 2020 13:28:38 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Arnaud Fontaine <arnau@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <87imhr65p2.fsf@HIDDEN>
 <878sijpqr0.fsf@HIDDEN>
Date: Sat, 25 Apr 2020 21:28:37 +0100
In-Reply-To: <878sijpqr0.fsf@HIDDEN> (Arnaud Fontaine's message of
 "Sat, 25 Apr 2020 23:46:43 +0900")
Message-ID: <87y2qjxqbu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 40532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Arnaud Fontaine <arnau@HIDDEN> writes:

>> Here's an even better fix for the regression IMO:
>>
>> From 541a85fd17193a67883a36876fb982710abe4f7d Mon Sep 17 00:00:00 2001
>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Date: Wed, 22 Apr 2020 11:42:17 +0100
>> Subject: [PATCH] Fix eww-follow-link on URLs with #target
>
> While wikipedia  works fine  with your  patch, I  have noticed  that the
> following does not work though:
>   0. emacs -Q
>   1. M-x eww RET https://distrowatch.com/weekly.php?issue=20200413 RET
>   2. C-s HoleOS RET (place point on ToC entry "New distributions: HoleOS")
>   3. RET (eww-follow link)
>
> This goes to the top of the page.

Indeed, I've noticed this issue before, but it's a separate issue to the
regression we've been discussing so far.

Here's a more easily reproducible recipe if you build Emacs from its
source repository (if I visit the given distrowatch site using Emacs 25
or 26 for some reason HoleOS is not mentioned):

0. ./src/emacs -Q
1. M-x eww-open-file RET admin/unidata/copyright.html RET
2. C-s misc RET RET

This jumps to point-min rather than the Miscellaneous heading, and is
reproducible since at least Emacs 25.

The problem is with relative targets: for some reason shr-target-id is
not set appropriately when shr is rendering the page, so no
shr-target-id text property gets set, and eww can't subsequently find
anywhere to jump to.

Perhaps shr should unconditionally (without requiring shr-target-id to
be bound) mark all possible targets with text properties during
rendering.  I'll see if I can get this or any other way working today or
tomorrow, but either way this won't be fixed in Emacs 27.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 25 Apr 2020 15:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 11:02:27 2020
Received: from localhost ([127.0.0.1]:60210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSMJz-0004vk-VR
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 11:02:27 -0400
Received: from toushirou.duckcorp.org
 ([193.200.42.177]:46734 helo=mx4.duckcorp.org ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arnau@HIDDEN>) id 1jSM3T-0004VD-Sn
 for 40532 <at> debbugs.gnu.org; Sat, 25 Apr 2020 10:45:20 -0400
Received: from localhost (unknown [133.106.77.246])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx4.duckcorp.org (Postfix) with ESMTPSA id 498Yjm71HMzyf;
 Sat, 25 Apr 2020 16:45:16 +0200 (CEST)
From: Arnaud Fontaine <arnau@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <87imhr65p2.fsf@HIDDEN>
X-GPG-KeyID: 313C7B03
X-GPG-Fingerprint: 43B5 1C2A AAD3 E0D4 9ACF  8F59 97C2 C6AB 313C 7B03
Date: Sat, 25 Apr 2020 23:46:43 +0900
In-Reply-To: <87imhr65p2.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Wed, 22 Apr 2020 13:55:05 +0100")
Message-ID: <878sijpqr0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Status: No, score=-6.09
X-Rspamd-Queue-Id: 498Yjm71HMzyf
X-Spamd-Result: default: False [-6.09 / 12.00]; FROM_HAS_DN(0.00)[];
 RCPT_COUNT_THREE(0.00)[4]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; RCVD_COUNT_ZERO(0.00)[0];
 FROM_EQ_ENVFROM(0.00)[]; MIME_TRACE(0.00)[0:+];
 MIME_GOOD(-0.10)[text/plain];
 ASN(0.00)[asn:138384, ipnet:133.106.64.0/18, country:JP];
 BAYES_HAM(-5.99)[99.97%]
X-Rspamd-Server: Toushirou
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
X-Mailman-Approved-At: Sat, 25 Apr 2020 11:02:22 -0400
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 40532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

> Here's an even better fix for the regression IMO:
>
> From 541a85fd17193a67883a36876fb982710abe4f7d Mon Sep 17 00:00:00 2001
> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Wed, 22 Apr 2020 11:42:17 +0100
> Subject: [PATCH] Fix eww-follow-link on URLs with #target

While wikipedia  works fine  with your  patch, I  have noticed  that the
following does not work though:
  0. emacs -Q
  1. M-x eww RET https://distrowatch.com/weekly.php?issue=20200413 RET
  2. C-s HoleOS RET (place point on ToC entry "New distributions: HoleOS")
  3. RET (eww-follow link)

This goes to the top of the page.

Cheers,
-- 
Arnaud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 25 Apr 2020 10:15:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 06:15:23 2020
Received: from localhost ([127.0.0.1]:58572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSHqA-0007xl-WA
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 06:15:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jSHq8-0007xT-If
 for 40532 <at> debbugs.gnu.org; Sat, 25 Apr 2020 06:15:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51099)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jSHq2-0002yC-7N; Sat, 25 Apr 2020 06:15:10 -0400
Received: from [176.228.60.248] (port=1537 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jSHq1-0002ds-6v; Sat, 25 Apr 2020 06:15:09 -0400
Date: Sat, 25 Apr 2020 13:14:57 +0300
Message-Id: <838sij98im.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: contovob@HIDDEN, larsi@HIDDEN
In-Reply-To: <83r1wfecoc.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 22
 Apr 2020 18:57:07 +0300)
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN> <87h7xbjzjh.fsf@HIDDEN>
 <83r1wfecoc.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40532
Cc: 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 22 Apr 2020 18:57:07 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
> 
> > From: "Basil L. Contovounesios" <contovob@HIDDEN>
> > Cc: arnau@HIDDEN,  larsi@HIDDEN,  40532 <at> debbugs.gnu.org
> > Date: Wed, 22 Apr 2020 16:44:18 +0100
> > 
> > > Then how come I cannot reproduce it in today's master?
> > 
> > 0. emacs -Q
> > 1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
> > 2. C-s Cul RET (place point on ToC entry "3 Culture")
> > 3. RET         (eww-follow-link)
> 
> So one _must_ press RET.  the original report said "Click or press
> enter", so I did the former.
> 
> Thanks for the rest, I will look into it.

I think this is OK for the release branch, but I'd like Lars to
comment.  Lars, please chime in.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 22:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 18:32:27 2020
Received: from localhost ([127.0.0.1]:53554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRNus-0002F5-PJ
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:32:26 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:35064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jRNuq-0002Eg-Jc
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:32:24 -0400
Received: by mail-wm1-f48.google.com with SMTP id r26so4473114wmh.0
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 15:32:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=pDC6+GhENFtjBCrMAy5nyv4v6pJMxmbtagfzIT26hXw=;
 b=M5sN6bO6SFQhWtsJu1aRBU0gIB6qrWPOxk1pBSUugJvbiKAlHIVjRvk9nNbMkPXlcY
 20SB7tJJCoYKES7cMJSHp8+uIBl+/PS99ZlUPlEEkmlsXYQ+vbW0vV9MaIADiTuOyXbl
 QkTqw/D2C6TY6O641z0TduvXXfm9tf9pxHZXXP08v+6HYvdpo/L7tV4m82hAn4IES1C3
 rvoHpfBiHTNtF+PWf8i5vjx7keTl92Csn4xzDfKPMm87Pv/Wyt+DxAYGx2iryYQCwoya
 ttvFJsPWFhcd5SCMpdcTzUF/49CFY4K5pA49Mi5MHVUbndW07vQ+Ct4xD9hMiQKLOnN1
 5xDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=pDC6+GhENFtjBCrMAy5nyv4v6pJMxmbtagfzIT26hXw=;
 b=dVTdeUCzIrtcV4fyWUWTxp0cOzD2bqStpbWOtatXbBfY0uPvJq7iDdwGF9iT+r4Fbg
 odsZH0KfmeHaSze9/EFcfXmwFtHdYm4Rm3k7MZkBsRmNEdjZN/RRNWQdKGHwNljkllR2
 4VoM5mftx8Ki42RkJaT1lCeAArLvXG3ZaWDrl/FYphN07dXKMbPy03Y24qNWll0K7s3c
 e1Qqk6m49kwq1zeHO4UmsaV2sFYREpEm0Q1F+JLGyXbCINLhIcemqruEKvQP82wgkndx
 IWb3BcwyO2cJ3RNXagHpYPuOa6OWl4xSMfH6KgRixHm7QNE73efEooO1mC6XotHRcFVi
 0T3A==
X-Gm-Message-State: AGi0PubYMjwKnEfei4JPNHnKLzp7NLD3WzE0CzxVGJplVwjllVT+jYzU
 8w9xJ3owZ8aRCijWXAqXzhvxnw==
X-Google-Smtp-Source: APiQypLPK8y3rgbKEdFCqmHbAIRNYsRs2tFtX4Rx97KYJJL5xEvxycUf8ntKAv8s6roGdVH3R/cUQQ==
X-Received: by 2002:a7b:ca47:: with SMTP id m7mr734212wml.55.1587594738824;
 Wed, 22 Apr 2020 15:32:18 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id h5sm853187wrp.97.2020.04.22.15.32.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 15:32:18 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Arnaud Fontaine <arnau@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <871rofuvr5.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 23:32:17 +0100
In-Reply-To: <871rofuvr5.fsf@HIDDEN> (Arnaud Fontaine's message of
 "Thu, 23 Apr 2020 05:10:38 +0900")
Message-ID: <87k127f8y6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 40532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Arnaud Fontaine <arnau@HIDDEN> writes:

> Basil L. Contovounesios <contovob@HIDDEN> writes:
>> Here's an even better fix for the regression IMO:
>>
>> From 541a85fd17193a67883a36876fb982710abe4f7d Mon Sep 17 00:00:00 2001
>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Date: Wed, 22 Apr 2020 11:42:17 +0100
>> Subject: [PATCH] Fix eww-follow-link on URLs with #target
>
> I can confirm that this fixes the issue, thank you very much!

Thanks for testing.

> Eli Zaretskii <eliz@HIDDEN> writes:
>> So one _must_ press RET.  the original report said "Click or press
>> enter", so I did the former.
>>
>> Thanks for the rest, I will look into it.
>
> Sorry, my initial report was misleading and not accurate enough.

No worries.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 22:32:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 18:32:21 2020
Received: from localhost ([127.0.0.1]:53551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRNun-0002Eo-Gb
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:32:21 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:40286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jRNul-0002EZ-HJ
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:32:20 -0400
Received: by mail-wm1-f46.google.com with SMTP id u16so4450822wmc.5
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 15:32:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bxJBK5U1IwBedRZ5tx8/HQTDDBycKmg6Fxj2flDR7UY=;
 b=cYParjaOA94sKX0W4dhaPcxI187t1KDpP9vLziULFEVtePov3quGAITpJwLWN53Z9h
 W3IUrZGVfIzQLPCnjw2dfjogxdiSHPVu7COBKSOs3l2DSbVxOfIVu81RbcAIZXIClE4D
 oZi1EGeDJ3XKEVy8T7tjSbM/xeyxYjRV8pje8UzLU8LHV53ibaZZsLV7DcFFZhK3vnQW
 P8PGWuby5T3NIFQNu1EwaN8DouR4A+uda9LfXgib6ujtqlPJFN/PpYJp7lkB5L9yKOe0
 IFR/8oXFKA98QO41eQxj/Yv6EyY6ReuGyMDtjmqyobC2+yJEqODnqePrIWZomJUwwkid
 QCXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bxJBK5U1IwBedRZ5tx8/HQTDDBycKmg6Fxj2flDR7UY=;
 b=HthjjUiIgUY+fdlV9EKfQNbJhsP+LL3aGbiwwqjY8eAXs/M3wKVZEbYW9ra1pgoe++
 kJSzwt48bjuhaIYXVlrzEQ9erJHXBQdqnpVF3mBfDV8hBJmEnbfrb6pvb4eRzmqfZh9W
 Qt+DJ4/8bfMr4bzgY+FoR1arsvA3xOOz8xh9A/0/q27qKsQFcwINzAmSL2ROZn7vsNpJ
 IaRqo5cwAZ+q/lZEVUta2nHZ1orEliOFVIL9ubajbZNZFk7+jm3eIzJ850eg2GLFfMmJ
 efdhZKAca2/ggh9VoZOqXXgTrpPuUQ4x8pQa2MnNG4mDKydrU2YA04hqbziVe/R9U+Fs
 tX2A==
X-Gm-Message-State: AGi0PuYr+PVFRM1oBpxm4YbfxJE2kVwUuMSTTaLgbSGHqUxAesXFIP4W
 g1NiIf6OK95H14kRBjSzgb+pOw==
X-Google-Smtp-Source: APiQypIozgXCdaZitkEEr88nCc1eGs445T+CGtRcBDIPEBk/kcBLla3cILUzbhYF8CLJv7RQL4kFoQ==
X-Received: by 2002:a1c:99d3:: with SMTP id b202mr740344wme.126.1587594733529; 
 Wed, 22 Apr 2020 15:32:13 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id n2sm895411wrq.74.2020.04.22.15.32.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 15:32:12 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
 <87pnbzijjk.fsf@HIDDEN> <83pnbzebjl.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 23:32:11 +0100
In-Reply-To: <83pnbzebjl.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Apr
 2020 19:21:34 +0300")
Message-ID: <87lfmnf8yc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[ Sorry, Eli, for accidentally sending this to you directly. ]

Eli Zaretskii <eliz@HIDDEN> writes:

>> > So one _must_ press RET.  the original report said "Click or press
>> > enter", so I did the former.
>> 
>> Right, that can't be true, since "v" and <mouse-2> invoke
>> shr-browse-url, which refetches the page and thus goes through the
>> eww-render route.
>
> I clicked mouse-1, not mouse-2.

I also clicked mouse-1, but it's translated to mouse-2.  Of the two,
only the latter is bound in shr-map and its derivative eww-link-keymap.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 20:24:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 16:24:44 2020
Received: from localhost ([127.0.0.1]:53406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRLvH-0007Qf-Ib
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 16:24:43 -0400
Received: from toushirou.duckcorp.org
 ([193.200.42.177]:43926 helo=mx4.duckcorp.org ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arnau@HIDDEN>) id 1jRLgL-00073S-Vb
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 16:09:18 -0400
Received: from localhost (unknown [133.106.73.155])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx4.duckcorp.org (Postfix) with ESMTPSA id 496s2w6NXZzyg;
 Wed, 22 Apr 2020 22:09:12 +0200 (CEST)
From: Arnaud Fontaine <arnau@HIDDEN>
To: 40532 <at> debbugs.gnu.org
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
X-GPG-KeyID: 313C7B03
X-GPG-Fingerprint: 43B5 1C2A AAD3 E0D4 9ACF  8F59 97C2 C6AB 313C 7B03
Date: Thu, 23 Apr 2020 05:10:38 +0900
In-Reply-To: <83r1wfecoc.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Apr
 2020 18:57:07 +0300")
Message-ID: <871rofuvr5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Status: No, score=-5.97
X-Rspamd-Queue-Id: 496s2w6NXZzyg
X-Spamd-Result: default: False [-5.97 / 12.00]; FROM_HAS_DN(0.00)[];
 RCPT_COUNT_THREE(0.00)[4]; TO_DN_SOME(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 RCVD_COUNT_ZERO(0.00)[0]; FROM_EQ_ENVFROM(0.00)[];
 MIME_TRACE(0.00)[0:+];
 ASN(0.00)[asn:138384, ipnet:133.106.64.0/18, country:JP];
 BAYES_HAM(-5.87)[99.71%]
X-Rspamd-Server: Toushirou
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
X-Mailman-Approved-At: Wed, 22 Apr 2020 16:24:41 -0400
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, larsi@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Basil L. Contovounesios <contovob@HIDDEN> writes:
> Here's an even better fix for the regression IMO:
>
> From 541a85fd17193a67883a36876fb982710abe4f7d Mon Sep 17 00:00:00 2001
> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Wed, 22 Apr 2020 11:42:17 +0100
> Subject: [PATCH] Fix eww-follow-link on URLs with #target

I can confirm that this fixes the issue, thank you very much!

Eli Zaretskii <eliz@HIDDEN> writes:
> So one _must_ press RET.  the original report said "Click or press
> enter", so I did the former.
>
> Thanks for the rest, I will look into it.

Sorry, my initial report was misleading and not accurate enough.

Cheers,
-- 
Arnaud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 16:22:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:22:11 2020
Received: from localhost ([127.0.0.1]:53035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRI8U-0007Uu-HZ
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:22:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRI8Q-0007U5-3o
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:22:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32846)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRI8I-0001e4-1O; Wed, 22 Apr 2020 12:21:54 -0400
Received: from [176.228.60.248] (port=2507 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRI8H-0004WV-FS; Wed, 22 Apr 2020 12:21:53 -0400
Date: Wed, 22 Apr 2020 19:21:34 +0300
Message-Id: <83pnbzebjl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87pnbzijjk.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN> <87pnbzijjk.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: arnau@HIDDEN,  larsi@HIDDEN,  40532 <at> debbugs.gnu.org
> Date: Wed, 22 Apr 2020 17:15:11 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> 0. emacs -Q
> >> 1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
> >> 2. C-s Cul RET (place point on ToC entry "3 Culture")
> >> 3. RET         (eww-follow-link)
> >
> > So one _must_ press RET.  the original report said "Click or press
> > enter", so I did the former.
> 
> Right, that can't be true, since "v" and <mouse-2> invoke
> shr-browse-url, which refetches the page and thus goes through the
> eww-render route.

I clicked mouse-1, not mouse-2.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 16:15:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:15:25 2020
Received: from localhost ([127.0.0.1]:53024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRI1x-0005b0-Gn
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:15:25 -0400
Received: from mail-pj1-f66.google.com ([209.85.216.66]:37945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jRI1w-0005Tq-1U
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:15:20 -0400
Received: by mail-pj1-f66.google.com with SMTP id t40so1193470pjb.3
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 09:15:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=7Hjh05/+SF7W17rSOeF6ybJ7T5DYARGdSrdmcVM29Nc=;
 b=0J2JYRf6R+bYLlGNPLgxgN/336ZYerwXTwpi+D6Ub7vAmwSbRE0d7m1ttvWV84U2EK
 WKw5k7mvsEUimHoAN09bxm16vRF49k2vsu3heli638Cm+t0JbficafIl4AR1zJ7/28Ym
 3gxXThrplOEb/6C3mpnPKH71J/G6vzpbZmAy4p8K/fJnIhEUwTFRrCFutt9hkcnt083Q
 2qNa5nZnA6bTulJJE3Jgnf8AdrTP8/0woJT0csaZannfioc1q1YDKDE473RzY/fDPKeT
 OoXhQEp123TqRX+A6AY3PnVb5lssP5Wz2wL9KnUpg80sPbbyDlz1dxZbSMLrqcQ/t4pI
 2fVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=7Hjh05/+SF7W17rSOeF6ybJ7T5DYARGdSrdmcVM29Nc=;
 b=C5+mutK2uCQHGBc4U3YMXgMsNDSb1cOQVUIhP/TP0eEAAJAkAKOfnpiah8KZBLLP9i
 uhaA0ZCSS0BoAtiP7nArrXCP7g9E35ytNxY2zEuitf+fbD9xeLO3fnOLG0ED8DM9LXs7
 ojYUzEqis1bojrf3/rsU5dHepYlvNjE70JtbNgQ/k7QVz2cKoX44WjsOd0uBeGn/13gV
 h+GYMURd0xU3+5OgbgNjVD170paWuIGRAuKhjEVjtJXqTHP5fD5XZPQST1ib+bD2p3g0
 crlUau7T6p14Pqn1Dq/LplcAp93Fctxg9KH3z2q3v956xXM6ZL3vEm6OYmGflOPOV6Le
 cLaA==
X-Gm-Message-State: AGi0PubXMkmc7JTt6l9M3uKCovpHr//GqpPrrGCnpaGha0aZUNR1K0/K
 e84/fyviIiGAGwkFZgY841H3Lg==
X-Google-Smtp-Source: APiQypL1yyFwdFiKDkCJZpJ/+mt1dikcTv+11Wkc/UTmzTx9rJgWAAiZxq8d3R/8/RPglwKYQXGvYA==
X-Received: by 2002:a17:90a:d3ca:: with SMTP id
 d10mr13313853pjw.24.1587572114376; 
 Wed, 22 Apr 2020 09:15:14 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id z190sm5535895pgz.73.2020.04.22.09.15.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 09:15:13 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
 <87h7xbjzjh.fsf@HIDDEN> <83r1wfecoc.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 17:15:11 +0100
In-Reply-To: <83r1wfecoc.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Apr
 2020 18:57:07 +0300")
Message-ID: <87pnbzijjk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Cc: arnau@HIDDEN,  larsi@HIDDEN,  40532 <at> debbugs.gnu.org
>> Date: Wed, 22 Apr 2020 16:44:18 +0100
>> 
>> > Then how come I cannot reproduce it in today's master?
>> 
>> 0. emacs -Q
>> 1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
>> 2. C-s Cul RET (place point on ToC entry "3 Culture")
>> 3. RET         (eww-follow-link)
>
> So one _must_ press RET.  the original report said "Click or press
> enter", so I did the former.

Right, that can't be true, since "v" and <mouse-2> invoke
shr-browse-url, which refetches the page and thus goes through the
eww-render route.

> Thanks for the rest, I will look into it.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 15:57:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 11:57:38 2020
Received: from localhost ([127.0.0.1]:53000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRHkj-0004UD-Uc
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 11:57:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRHki-0004U0-H5
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 11:57:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60537)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRHkc-00059O-9J; Wed, 22 Apr 2020 11:57:26 -0400
Received: from [176.228.60.248] (port=4987 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRHkb-0000A2-Ei; Wed, 22 Apr 2020 11:57:26 -0400
Date: Wed, 22 Apr 2020 18:57:07 +0300
Message-Id: <83r1wfecoc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87h7xbjzjh.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN> <87h7xbjzjh.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: arnau@HIDDEN,  larsi@HIDDEN,  40532 <at> debbugs.gnu.org
> Date: Wed, 22 Apr 2020 16:44:18 +0100
> 
> > Then how come I cannot reproduce it in today's master?
> 
> 0. emacs -Q
> 1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
> 2. C-s Cul RET (place point on ToC entry "3 Culture")
> 3. RET         (eww-follow-link)

So one _must_ press RET.  the original report said "Click or press
enter", so I did the former.

Thanks for the rest, I will look into it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 15:44:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 11:44:35 2020
Received: from localhost ([127.0.0.1]:52952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRHY7-00024L-As
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 11:44:35 -0400
Received: from mail-pj1-f65.google.com ([209.85.216.65]:55205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jRHY5-000242-Q0
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 11:44:30 -0400
Received: by mail-pj1-f65.google.com with SMTP id y6so1095659pjc.4
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 08:44:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bvsvNY8Wqb6JWTtsq16C0B0RrurWO+diA0TIsqXxlT4=;
 b=BOdjlaza5/xreBoJzFCxq9WLzu5ZG11DxVvcZRxS8T6xtrGXBbKs1W6crmUIZORDIX
 LkOhpXFYOL2sH2PgCDrJs1MfKvggBMAfQkOUkwyex8zZAJfMmPPnFIKfPqdUDIm5ufcC
 KEeF+9H1A07dzVd/WycxiOXV0rpa0FkVE5eLTeGu/jyT0yQjgHBW56o372GQ0Tx1UT2V
 l3iFMG18p6j1RF0WWNajMjJUSEfA2DSS+lHq49AjzxroWMG5KuIwu6V3roVUki4rVDXq
 PSqwIf8yfayXvlLhNuZRB5WhLna0rTX+p3H9+1NU9p8V308etpJaEfB7sLeKNoYhdvwK
 FVBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bvsvNY8Wqb6JWTtsq16C0B0RrurWO+diA0TIsqXxlT4=;
 b=Vr6MFDTQSBKl1/PAGJpprbNcz6CRtr2w+q9sErDW1OrNdNQWnETFK4c0wcBFd/OlEy
 YcAXp/U34Z+FTRMmEZcvG89N/Ve7YyKIGz7g/sPVfvEUDLV45af9g7cIoe3wJDu71Lel
 bOVIBzc0rHWQiSI7pB/8gVvK/aZ7SDZf8Guou2QLUT8YxFYGM2Onu5ZJ6f47WdZbfAs6
 ER9FSsGuyfr6UOcpNYNc15mdM6YgdEqLRHrN6xABo+2/+/B/15NDmOX4yrU5hnQQVjCj
 35KUy6y2f0Cj6jXskeEhfLtupzL6qRi0seo0v79iq6ms+DyOMNtcxRIDhL+233Tr3Abn
 znVA==
X-Gm-Message-State: AGi0PuY71+GU5M8vfrFJGQT5k+pC1Tuffl4t3eOmhXAPzUgc4rMUDJRw
 8F5ZgGxsOBISGJMO9Dhe9NYaQg==
X-Google-Smtp-Source: APiQypIIZH4G2sjEZm7SU8Yknzg4pCtkMfe9UlKD41DF356gZV/nFxor1uJ0SjorTRI3F3KDGCDj3Q==
X-Received: by 2002:a17:90b:3843:: with SMTP id
 nl3mr4897188pjb.72.1587570263047; 
 Wed, 22 Apr 2020 08:44:23 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id 10sm5812649pfn.204.2020.04.22.08.44.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 08:44:22 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN> <83wo67eien.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 16:44:18 +0100
In-Reply-To: <83wo67eien.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Apr
 2020 16:53:20 +0300")
Message-ID: <87h7xbjzjh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Date: Wed, 22 Apr 2020 12:38:17 +0100
>> Cc: 40532 <at> debbugs.gnu.org
>> 
>> Arnaud Fontaine <arnau@HIDDEN> writes:
>> 
>> > I have  investigated a little  and it  seems to be  because of a  bug in
>> > eww-follow-link (bound to RET key).
>> 
>> Indeed; I think it's a regression in Emacs 27 caused by the following
>> fix for bug#28441:
>> 
>> Make #anchors work again in eww
>> fa41693799 2018-04-13 14:55:55 +0200
>> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fa416937997a113d84ab4e4910d730ce5d77613d
>
> Then how come I cannot reproduce it in today's master?

0. emacs -Q
1. M-x eww RET https://en.wikipedia.org/wiki/Emacs RET
2. C-s Cul RET (place point on ToC entry "3 Culture")
3. RET         (eww-follow-link)

Expected: Point jumps to heading "Culture[edit]" at pos 21205 on L324
Observed: Point jumps to point-min
Emacs version details follow my signature.
What do you see on your end?

>> Yes, we wouldn't want eww-follow-link to do that, and in fact it already
>> contains logic to avoid reloading the whole page, modulo the
>> aforementioned regression in Emacs 27.
>> 
>> Lars, Eli, how's the following fix for emacs-27?
>
> I need first to understand what is going on, and in particular why it
> doesn't happen to me.

What's going on: shr.el currently requires its users to set
shr-target-id before rendering a DOM, so that it knows where to place
the eponymous text property.

The only user of this text property in the Emacs sources is
eww-display-html, which leaves point where the text property was placed
after shr is done rendering the DOM.

Prior to the patch for bug#28441, eww-display-html would always set
shr-target-id to the current url-target (or nil) prior to invoking shr.

The patch for bug#28441 removed the setting of shr-target-id from
eww-display-html and moved it to eww-render, so that it's set before any
URL redirections strip the original url-target away.

Since eww-follow-link calls eww-display-html directly, rather than going
through eww-render (which is a url-retrieve callback), shr-target-id is
no longer set appropriately when eww-follow-link is invoked on a URL
with a #target.  So shr.el doesn't know to insert the corresponding text
property, and eww-display-html leaves point at point-min rather than the
correct #target.

-- 
Basil

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2020-04-22 built on thunk
Repository revision: ab214143bbc633bcbe1ae146647c2fdc882122f0
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Contacting host: en.wikipedia.org:443
uncompressing publicsuffix.txt.gz...done
Mark saved where search started

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O2 -march=native' --config-cache
 --prefix=/home/blc/.local --with-x-toolkit=lucid
 --with-file-notification=yes --with-x'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_IE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: eww

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired dired-loaddefs rfc822 mml
mml-sec epa derived epg epg-config mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader sendmail misearch multi-isearch
shr-color color cl-extra help-mode jka-compr gnutls network-stream
url-http mail-parse rfc2231 url-gw nsm rmc url-cache url-auth eww
easymenu mm-url gnus nnheader gnus-util rmail rmail-loaddefs rfc2047
rfc2045 ietf-drums time-date mail-utils wid-edit mm-util mail-prsvr
thingatpt url-queue url url-proxy url-privacy url-expand url-methods
url-history mailcap shr text-property-search url-cookie url-domsuf
url-util url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars puny svg xml seq
byte-opt gv bytecomp byte-compile cconv dom browse-url format-spec
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 289451 9169)
 (symbols 48 9994 1)
 (strings 32 49262 2043)
 (string-bytes 1 2896806)
 (vectors 16 16043)
 (vector-slots 8 290544 20084)
 (floats 8 137 326)
 (intervals 56 32031 257)
 (buffers 992 11))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 13:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 09:53:46 2020
Received: from localhost ([127.0.0.1]:51669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRFow-0007GQ-EJ
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 09:53:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRFou-0007GB-EA
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 09:53:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58906)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRFoo-0007wZ-21; Wed, 22 Apr 2020 09:53:38 -0400
Received: from [176.228.60.248] (port=1046 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRFon-00049o-GI; Wed, 22 Apr 2020 09:53:37 -0400
Date: Wed, 22 Apr 2020 16:53:20 +0300
Message-Id: <83wo67eien.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87blnj92dy.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40532
Cc: larsi@HIDDEN, 40532 <at> debbugs.gnu.org, arnau@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Wed, 22 Apr 2020 12:38:17 +0100
> Cc: 40532 <at> debbugs.gnu.org
> 
> Arnaud Fontaine <arnau@HIDDEN> writes:
> 
> > I have  investigated a little  and it  seems to be  because of a  bug in
> > eww-follow-link (bound to RET key).
> 
> Indeed; I think it's a regression in Emacs 27 caused by the following
> fix for bug#28441:
> 
> Make #anchors work again in eww
> fa41693799 2018-04-13 14:55:55 +0200
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fa416937997a113d84ab4e4910d730ce5d77613d

Then how come I cannot reproduce it in today's master?

> Yes, we wouldn't want eww-follow-link to do that, and in fact it already
> contains logic to avoid reloading the whole page, modulo the
> aforementioned regression in Emacs 27.
> 
> Lars, Eli, how's the following fix for emacs-27?

I need first to understand what is going on, and in particular why it
doesn't happen to me.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 12:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 08:55:18 2020
Received: from localhost ([127.0.0.1]:51506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jREuM-0007xU-2n
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 08:55:18 -0400
Received: from mail-pg1-f196.google.com ([209.85.215.196]:40536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jREuJ-0007xF-BA
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 08:55:16 -0400
Received: by mail-pg1-f196.google.com with SMTP id n16so1031897pgb.7
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 05:55:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=H54QftUW5zlYpX/8GXjycbsAJzcQiwqEmSrTQc+Fku0=;
 b=o+Pv24HfPLzPoXRHprITn/8Dns0YzK6LSLs4APn/0l9MS6SFEa+XihcOZ41rlg6mRX
 SYp1y85zjhmzdFey8tQQXsM2yFq8VaZzMy4PBGr+8OCJ8/p9AQvFb8O4vwCEK+LiZwBq
 J7gkwQORNtZmbe7ZXLesR6G9F0DUz7IvnmDc8Ohq9b7M0ohpSM6ljqpIdPnGtVSdTKbd
 QuEXxSJSwRKuCtzaGzqLv/XUxES8Ig/oZnwdbUlWj4Kixvk3uxPPe5pF7YH7tA0UNnhl
 nz2CiOd1bTX5qEQ8wIK756KRLpVBYtR36eM8X+Ze1fN/162Ti0j2MWQ+cS+GRDz3zqSz
 5dLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=H54QftUW5zlYpX/8GXjycbsAJzcQiwqEmSrTQc+Fku0=;
 b=LFaHsPAM/PiNxc0ef7y0G453e0sKfWpFr2+FCPaPDzMbd98koUc751mONbK24423lE
 t5RBuj4gkf61MKwwKUIljVx1cdP8ieiyG49jZm0ugFv9lUQmUatAvi3arBXcIvn+K22G
 D2q0T0AGyP8bQTMuNNL+bXcVKyzqLUU36yr6yIk3GZKKuJiKbqxHiA4RIBKqFMNTyiwJ
 sv7Rok2dR5p2TK8KpvvVjg/EZJVX6fxWgNzFfV9kP3DvpS4f2TmlUPFPDDWrH4tGmyPa
 fivav+iNEqQXKJoDDF5kggL75jLKIxHHacz34kYpHRt3FMXjXaLpyqX52yFKYdFWVbfE
 fDqQ==
X-Gm-Message-State: AGi0Pub3z4MIXGm7yyrjjzjST3iDKVG6EfOF2VnKd1JwjW8ePQ+e/J6T
 pH2OxXg5fwUUXY6VFL3/GMLTAw==
X-Google-Smtp-Source: APiQypKI+5YPDNtHwo1f+2SwoA2LWE5lhSyX0H5N+gRQbVN/D49qMNmyCFVTKBiEvPUI1MfovttqyQ==
X-Received: by 2002:a62:2b06:: with SMTP id r6mr25968647pfr.249.1587560109280; 
 Wed, 22 Apr 2020 05:55:09 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id 185sm5506632pfv.9.2020.04.22.05.55.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 05:55:08 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Arnaud Fontaine <arnau@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
 <87blnj92dy.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 13:55:05 +0100
In-Reply-To: <87blnj92dy.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Wed, 22 Apr 2020 12:38:17 +0100")
Message-ID: <87imhr65p2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 40532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Indeed; I think it's a regression in Emacs 27 caused by the following
> fix for bug#28441:
>
> Make #anchors work again in eww
> fa41693799 2018-04-13 14:55:55 +0200
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fa416937997a113d84ab4e4910d730ce5d77613d
>
> Previously, eww-follow-link depended on eww-display-html to set
> shr-target-id, but following this change that's no longer the case.
>
> This doesn't affect eww-reload, which also calls eww-display-html,
> because it passes it an explicit position to jump to.

[...]

> Lars, Eli, how's the following fix for emacs-27?

Here's an even better fix for the regression IMO:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Fix-eww-follow-link-on-URLs-with-target.patch

From 541a85fd17193a67883a36876fb982710abe4f7d Mon Sep 17 00:00:00 2001
From: "Basil L. Contovounesios" <contovob@HIDDEN>
Date: Wed, 22 Apr 2020 11:42:17 +0100
Subject: [PATCH] Fix eww-follow-link on URLs with #target

* lisp/net/eww.el (eww-display-html): Ensure shr-target-id is set as
callers depend on this (bug#28441, bug#40532).
---
 lisp/net/eww.el | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/lisp/net/eww.el b/lisp/net/eww.el
index c83884fd25..1be499172b 100644
--- a/lisp/net/eww.el
+++ b/lisp/net/eww.el
@@ -518,6 +518,10 @@ eww-display-html
       (plist-put eww-data :dom document)
       (let ((inhibit-read-only t)
 	    (inhibit-modification-hooks t)
+            ;; Possibly set by the caller, e.g., `eww-render' which
+            ;; preserves the old URL #target before chasing redirects.
+            (shr-target-id (or shr-target-id
+                               (url-target (url-generic-parse-url url))))
 	    (shr-external-rendering-functions
              (append
               shr-external-rendering-functions
-- 
2.26.1


--=-=-=
Content-Type: text/plain


WDYT?

-- 
Basil

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.
Added tag(s) patch. Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 27.0.50. Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 11:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 07:38:28 2020
Received: from localhost ([127.0.0.1]:51420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRDi0-00042l-GW
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 07:38:28 -0400
Received: from mail-pg1-f194.google.com ([209.85.215.194]:42762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jRDhy-00042R-OT
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 07:38:27 -0400
Received: by mail-pg1-f194.google.com with SMTP id g6so931953pgs.9
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 04:38:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=IwBtvi3MhQDHldrwYF1uuiYOG1m7NSDfNfz12Fslhcc=;
 b=cczsFLPa7uyby36PFpPw/qC4S/emicX3KlXNyq9pq84oGw741E8D+tatWiKi0eyHOb
 NlezgXGM0++4Zh0yLu8fzE9SBR+A2P8EujmcDPqfUmZZHMT/YW4wnvDgzvPiACbl69Ai
 wgImEB83BmULWP9fcaH504tJCtGL4pkPnvEuTfssTz3qZkBttHlzCc8WaxYV4hnv51SP
 eBC2mI0J2iN8LVpJf2J9h0Ta0gbIr5j0knsfrV8ZNFU5VBMS/u98v2IalCDqbuLDTmGv
 SnMRD98oT/Y13yNEHlgM2kHBTF18+/QJrNibqEcOqLaO9oF88a9VDm9EzjBrn0dmdfSQ
 WUzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=IwBtvi3MhQDHldrwYF1uuiYOG1m7NSDfNfz12Fslhcc=;
 b=rdlMSANwn9P8ykKcQZ6Lu021OvX0cjLP9S3R41Pkg8blbA7oBGcFL/zyzEbURChFO1
 7KlIFdD0iHOjh4WQkMj1QnMcDJApBd70ym5qG9UqKHwfee45g7YGj2pB83mdxSicgsQC
 i0xYLPCtdBcKiFy/usqN3KXP2d0RrnNTMITXO8GVgurcybMZR5e4cn+ofCmQ5LT8dihy
 x5C9F9GAPYRWiNi1Rgc+C5bnXkD6rKg+FWBekITVXKOQanRI2JpCngI5TSTG4/vnKUnU
 4+DgEOAmoliu29nmPHmPAHqHpMfARS7bT6O6slpyNhpSfEuguZfn32kLufIJn7xiuEFK
 skiw==
X-Gm-Message-State: AGi0PuZzrNPqG+70lmbmc9/DOenWzT/UcjOLSBbFLRVRejijFknLa0vz
 SZkVYc24xVizzZq4GACtVDCFwp7WG6Q=
X-Google-Smtp-Source: APiQypIk/AvXLKSqM24LHhMoQmJd2tZDObJ1SKl16gGILzhbGwRhfv59aV9VeM9e4nfuXMzNVPuN1g==
X-Received: by 2002:a62:1984:: with SMTP id 126mr3687645pfz.158.1587555500694; 
 Wed, 22 Apr 2020 04:38:20 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:92bd:1bfd:38fc:fae2])
 by smtp.gmail.com with ESMTPSA id j26sm5262178pfr.215.2020.04.22.04.38.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Apr 2020 04:38:19 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Arnaud Fontaine <arnau@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40532: 28.0.50; eww/shr: Anchor link does not work
References: <87sghckn7p.fsf@HIDDEN> <87o8rk597f.fsf@HIDDEN>
Date: Wed, 22 Apr 2020 12:38:17 +0100
In-Reply-To: <87o8rk597f.fsf@HIDDEN> (Arnaud Fontaine's message of
 "Wed, 22 Apr 2020 15:24:36 +0900")
Message-ID: <87blnj92dy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
Cc: 40532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

found 40532 27.0.50
tags 40532 + patch
quit

Arnaud Fontaine <arnau@HIDDEN> writes:

> I have  investigated a little  and it  seems to be  because of a  bug in
> eww-follow-link (bound to RET key).

Indeed; I think it's a regression in Emacs 27 caused by the following
fix for bug#28441:

Make #anchors work again in eww
fa41693799 2018-04-13 14:55:55 +0200
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fa416937997a113d84ab4e4910d730ce5d77613d

Previously, eww-follow-link depended on eww-display-html to set
shr-target-id, but following this change that's no longer the case.

This doesn't affect eww-reload, which also calls eww-display-html,
because it passes it an explicit position to jump to.

> It goes to the anchor link by clicking on it (<mouse-2>) or with 'v' key
> as it  actually calls  shr-browse-url (but this  has the  side-effect of
> reloading the whole page though).

Yes, we wouldn't want eww-follow-link to do that, and in fact it already
contains logic to avoid reloading the whole page, modulo the
aforementioned regression in Emacs 27.

Lars, Eli, how's the following fix for emacs-27?


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Fix-following-target-on-same-page-in-EWW.patch

From 213264081a827e9041dbab294a5ff72fdc71b45f Mon Sep 17 00:00:00 2001
From: "Basil L. Contovounesios" <contovob@HIDDEN>
Date: Wed, 22 Apr 2020 11:42:17 +0100
Subject: [PATCH] Fix following target on same page in EWW

* lisp/net/eww.el (eww-follow-link): Set shr-target-id before
calling eww-display-html as the latter no longer does so for
us (bug#28441, bug#40532).
---
 lisp/net/eww.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/net/eww.el b/lisp/net/eww.el
index c83884fd25..8bbbcae9c2 100644
--- a/lisp/net/eww.el
+++ b/lisp/net/eww.el
@@ -1578,7 +1578,8 @@ eww-follow-link
      ;; This is a #target url in the same page as the current one.
      ((and (url-target (url-generic-parse-url url))
 	   (eww-same-page-p url (plist-get eww-data :url)))
-      (let ((dom (plist-get eww-data :dom)))
+      (let ((dom (plist-get eww-data :dom))
+            (shr-target-id (url-target (url-generic-parse-url url))))
 	(eww-save-history)
 	(plist-put eww-data :url url)
 	(eww-display-html 'utf-8 url dom nil (current-buffer))))
-- 
2.26.1


--=-=-=
Content-Type: text/plain


Thanks,

-- 
Basil

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at 40532 <at> debbugs.gnu.org:


Received: (at 40532) by debbugs.gnu.org; 22 Apr 2020 06:29:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 02:29:50 2020
Received: from localhost ([127.0.0.1]:51128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jR8tJ-00026t-Bm
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 02:29:49 -0400
Received: from toushirou.duckcorp.org
 ([193.200.42.177]:33010 helo=mx4.duckcorp.org ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arnau@HIDDEN>) id 1jR8mt-0001xj-QD
 for 40532 <at> debbugs.gnu.org; Wed, 22 Apr 2020 02:23:12 -0400
Received: from localhost (unknown [133.106.76.242])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx4.duckcorp.org (Postfix) with ESMTPSA id 496Vjm5q2lz1r
 for <40532 <at> debbugs.gnu.org>; Wed, 22 Apr 2020 08:23:08 +0200 (CEST)
From: Arnaud Fontaine <arnau@HIDDEN>
To: 40532 <at> debbugs.gnu.org
Subject: Re: 28.0.50; eww/shr: Anchor link does not work
X-GPG-KeyID: 313C7B03
X-GPG-Fingerprint: 43B5 1C2A AAD3 E0D4 9ACF  8F59 97C2 C6AB 313C 7B03
Date: Wed, 22 Apr 2020 15:24:36 +0900
Message-ID: <87o8rk597f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Status: No, score=-2.90
X-Rspamd-Queue-Id: 496Vjm5q2lz1r
X-Spamd-Result: default: False [-2.90 / 12.00]; FAKE_REPLY(1.00)[];
 FROM_HAS_DN(0.00)[]; TO_MATCH_ENVRCPT_ALL(0.00)[];
 RCVD_COUNT_ZERO(0.00)[0]; FROM_EQ_ENVFROM(0.00)[];
 TO_DN_NONE(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 ASN(0.00)[asn:138384, ipnet:133.106.64.0/18, country:JP];
 RCPT_COUNT_ONE(0.00)[1]; BAYES_HAM(-3.80)[94.44%];
 MIME_TRACE(0.00)[0:+]
X-Rspamd-Server: Toushirou
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40532
X-Mailman-Approved-At: Wed, 22 Apr 2020 02:29:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I have  investigated a little  and it  seems to be  because of a  bug in
eww-follow-link (bound to RET key).

It goes to the anchor link by clicking on it (<mouse-2>) or with 'v' key
as it  actually calls  shr-browse-url (but this  has the  side-effect of
reloading the whole page though).

Cheers,
-- 
Arnaud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Apr 2020 04:37:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 00:37:21 2020
Received: from localhost ([127.0.0.1]:54719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMlPt-0006Dc-3K
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 00:37:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:60497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arnau@HIDDEN>) id 1jMktl-0005QP-0P
 for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 00:04:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49977)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <arnau@HIDDEN>) id 1jMktj-0001s0-4w
 for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2020 00:04:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,KHOP_HELO_FCRDNS,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arnau@HIDDEN>) id 1jMkth-0001xX-4K
 for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2020 00:04:06 -0400
Received: from users.duckcorp.org ([2001:67c:1740:9001::3]:43172
 helo=mx4.duckcorp.org) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arnau@HIDDEN>) id 1jMktg-0001x3-V7
 for bug-gnu-emacs@HIDDEN; Fri, 10 Apr 2020 00:04:05 -0400
Received: from localhost (unknown [133.106.74.221])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx4.duckcorp.org (Postfix) with ESMTPSA id 48z40m6Tvzz1Qp
 for <bug-gnu-emacs@HIDDEN>; Fri, 10 Apr 2020 05:55:20 +0200 (CEST)
From: Arnaud Fontaine <arnau@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; eww/shr: Anchor link does not work
X-GPG-KeyID: 313C7B03
X-GPG-Fingerprint: 43B5 1C2A AAD3 E0D4 9ACF  8F59 97C2 C6AB 313C 7B03
Date: Fri, 10 Apr 2020 12:56:42 +0900
Message-ID: <87sghckn7p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Rspamd-Queue-Id: 48z40m6Tvzz1Qp
X-Spamd-Result: default: False [-5.94 / 12.00]; FROM_HAS_DN(0.00)[];
 TO_MATCH_ENVRCPT_ALL(0.00)[]; MIME_GOOD(-0.10)[text/plain];
 TO_DN_NONE(0.00)[]; RCPT_COUNT_ONE(0.00)[1];
 RCVD_COUNT_ZERO(0.00)[0]; FROM_EQ_ENVFROM(0.00)[];
 MIME_TRACE(0.00)[0:+];
 ASN(0.00)[asn:138384, ipnet:133.106.64.0/18, country:JP];
 BAYES_HAM(-5.84)[99.67%]
X-Rspamd-Server: Toushirou
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:67c:1740:9001::3
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 10 Apr 2020 00:37:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Trying to  open an anchor  link invariably goes back  to the top  of the
page instead of going to the specific point on the page. Example:
  1. emacs -Q
  2. M-x eww => https://en.wikipedia.org/wiki/Emacs
  3. Click or press enter on `1. History` anchor link of the TOC (target: https://en.wikipedia.org/wiki/Emacs#History)
  4. This goes to the top of the page rather than the `History` section.

This problem is not  recent and I have had this issue  for some time now
(I use Emacs Git snapshot).

Any help appreciated. Thanks!


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.12, cairo version 1.14.8)
 of 2020-03-29 built on marvin
Repository revision: 52fab66c277cd8d83fad0bd6bda8234e102bdc02
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Recent messages:
Quit
Mark set
b is undefined
scroll-down-command: Beginning of buffer

Mark set
Mark saved where search started
uncompressing eww.el.gz...done
Note: file is write protected
Mark set

Configured using:
 'configure --prefix=/opt/emacs-20200329-52fab66c'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  shell-dirtrack-mode: t
  jabber-activity-mode: t
  desktop-save-mode: t
  savehist-mode: t
  window-numbering-mode: t
  show-paren-mode: t
  global-hl-line-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow eieio-opt speedbar ezimage dframe emacsbug gnus-draft org-id
tabify org-mobile cal-move mhtml-mode css-mode color js imenu cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs goto-addr pp sh-script smie executable misearch multi-isearch
ox-org ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util
rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox sendmail help-fns
radix-tree cl-print debug backtrace jabber-rtt url-http url-gw url-cache
url-auth jabber-keepalive jabber-ping smiley gnus-cite mm-archive
mail-extr gnus-bcklg qp gnus-async gnus-ml disp-table gnus-topic nndraft
nnmh gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-cache
nnfolder utf-7 network-stream nsm nntp spam spam-stat gnus-uu yenc
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-alias
imap rfc2104 nnrss bbdb-gnus bbdb-mua bbdb-com crm cl-extra help-mode
autorevert filenotify eww mm-url thingatpt url-queue vc-git diff-mode
cap-words superword subword python tramp-sh tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat shell ls-lisp jabber
jabber-notifications notifications jabber-libnotify dbus jabber-awesome
jabber-osd jabber-wmii jabber-xmessage jabber-festival jabber-sawfish
jabber-ratpoison jabber-tmux jabber-screen jabber-socks5
jabber-ft-server jabber-si-server jabber-ft-client jabber-ft-common
jabber-si-client jabber-si-common jabber-feature-neg jabber-truncate
jabber-time jabber-autoaway jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar jabber-activity jabber-watch
jabber-modeline jabber-ahc-presence jabber-ahc jabber-version
jabber-ourversion jabber-muc-nick-completion hippie-exp jabber-browse
jabber-search jabber-register jabber-roster jabber-presence jabber-muc
jabber-bookmarks jabber-private jabber-muc-nick-coloring hexrgb
jabber-widget jabber-disco jabber-chat jabber-history jabber-chatbuffer
jabber-alert jabber-iq jabber-core jabber-console sgml-mode ewoc
jabber-keymap jabber-sasl sasl sasl-anonymous sasl-login sasl-plain fsm
jabber-logon jabber-conn srv dns starttls tls gnutls jabber-xml
jabber-menu jabber-util tsdh-dark-theme desktop frameset
emms-librefm-stream emms-librefm-scrobbler emms-playlist-limit
emms-volume emms-volume-mixerctl emms-volume-pulse emms-volume-amixer
emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser sort emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics emms-url emms-streams
emms-show-all emms-tag-editor emms-mark emms-mode-line emms-cache
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info
emms-playlist-mode emms-player-vlc emms-player-mpv emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate
emms-info-libtag emms-info later-do emms-setup emms emms-compat cal-iso
solar cal-dst diary-lib diary-loaddefs org-indent org-element avl-tree
ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum url
url-proxy url-privacy url-expand url-methods url-history mailcap shr
url-cookie url-domsuf url-util svg xml dom gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time iso8601 gnus-spec gnus-int gnus-range message rmc puny rfc822
mml mml-sec epa derived epg epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search mail-utils mm-util mail-prsvr wid-edit ol-docview
doc-view jka-compr image-mode exif dired dired-loaddefs ol-bibtex bibtex
ol-bbdb ol-w3m org-agenda org-capture org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete comint ansi-color org-list org-faces org-entities time-date
noutline outline org-version ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat org-macs org-loaddefs format-spec find-func bbdb
bbdb-site timezone japanese-holidays holidays hol-loaddefs cal-menu
calendar cal-loaddefs savehist etags fileloop generator xref project
ring ido mule-util alist pym static apel-ver product elscreen
window-numbering easy-mmode cl avoid paren whitespace iso-transl edmacro
kmacro server mozc-isearch advice hl-line finder-inf mozc info package
easymenu browse-url url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 1710522 112857)
 (symbols 48 42342 64)
 (strings 32 324435 27012)
 (string-bytes 1 10738281)
 (vectors 16 76001)
 (vector-slots 8 1682075 266556)
 (floats 8 1026 2335)
 (intervals 56 166551 3077)
 (buffers 1000 191))
-- 
Arnaud




Acknowledgement sent to Arnaud Fontaine <arnau@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40532; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 May 2020 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.